Subject: bug#35343: sort: printing characters: define

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Sat, 20 Apr 2019 21:54:34 +0800

(info "(coreutils) sort invocation") says

‘-i’
‘--ignore-nonprinting’
     Ignore nonprinting characters.  The ‘LC_CTYPE’ locale determines
     character types...

Well this leaves the user high and dry trying to figure out what you
mean by printing characters.

Is SPC a printing character he wonders. It makes the printer head
advance one unit, whereas ESC doesn't.

So at least mention the ASCII range [A-Z...] of what your are talking
about. It would only take up a word or two of the INFO page.

Anyway, each program might have their own idea of "printing characters"
as well as grandpa down the hall's definition. So the user is left unsure.